## RevBits PAM CLI

### Overview

The **RevBits PAM CLI** is a command-line tool that provides a convenient way to interact with the RevBits Privileged Access Management (PAM) system. It offers various commands to authenticate users, perform actions, and manage secrets within the RevBits PAM environment.

### Installation

To install the RevBits PAM CLI as an npm package, you can use the following command:

```bash
npm install -g revbits-pam-cli
```

## Usage

### Authentication

Use the following command to authenticate with the RevBits PAM system:

> Remember to enclose password in single quotes
```bash
revbits-pam-cli auth -h HOSTNAME -u USERNAME -p 'PASSWORD' -i ITR_COUNT
```

- `-h` or `--host`: Specify the PAM server URL (it should be complete hostname along with protocol like `https://revbits-pam.com`).
- `-u` or `--username`: Provide the username for authentication.
- `-p` or `--password`: Enter the password for authentication.
- `-i` or `--instance`: Set the iteration count.

#### Logout

To log out of the RevBits PAM system, use the following command:

```bash
revbits-pam-cli logout
```

### Break Glass

You can use the following commands to manage break glasses:

- To fetch all break glasses

```bash
revbits-pam-cli bg list
```

- To fetch Break Glass AD/Linux Accounts

```bash
revbits-pam-cli bg accounts -i BREAK_GLASS_ID
```

- To get Break Glass AD/Linux Account Password

```bash
revbits-pam-cli bg cp_pass -i ACCOUNT_ID
```

### Secrets Manager

You can use the following commands to manage secrets:

- To fetch a secret:

```bash
revbits-pam-cli sm fetch -s SECRET_NAME -k API_KEY
```

- `-s` or `--secret`: Specify the secret name for which you want to fetch the secret.
- `-k` or `--key`: Provide the API key.

You can fetch more than one secrets by separating secret keys with comma

```bash
revbits-pam-cli sm fetch -s SECRET_NAME1,SECRET_NAME2,SECRET_NAME3 -k API_KEY
```

## Tip

Run it with `$ rpc` instead by adding `alias rpc=revbits-pam-cli` to your `.zshrc`/`.bashrc`.
