"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const base_api_1 = require("../base.api");
const config_1 = require("../config");
const axios_1 = __importDefault(require("axios"));
const https_1 = __importDefault(require("https"));
class AuthApi extends base_api_1.BaseApi {
    constructor(baseUrl) {
        super(baseUrl);
        this.baseUrl = baseUrl;
    }
    login(data) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.sendApiRequest(config_1.API_ENDPOINTS.AUTH.LOGIN, data, 'Unable to login.');
        });
    }
    logout(jwt) {
        return __awaiter(this, void 0, void 0, function* () {
            const config = {
                method: 'get',
                url: `${this.baseUrl}/${config_1.API_CONFIG.API_URL}/${config_1.API_ENDPOINTS.AUTH.LOGOUT}`,
                headers: {
                    Accept: config_1.API_CONFIG.ACCEPT,
                    JwtAuth: `JWT ${jwt}`,
                    'User-Agent': config_1.API_CONFIG.USER_AGENT,
                },
                httpsAgent: new https_1.default.Agent({ rejectUnauthorized: config_1.API_CONFIG.DEFAULT_REJECT_UNAUTH }),
                timeout: config_1.API_CONFIG.DEFAULT_TIMEOUT,
            };
            try {
                yield axios_1.default.request(config);
            }
            catch (err) {
            }
        });
    }
}
exports.default = AuthApi;
