import { StoredCredentialsType } from '../interfaces/cli.interface';
export declare abstract class BaseApi {
    baseUrl: string;
    creds?: StoredCredentialsType | undefined;
    getJwt?: (() => string) | undefined;
    private api;
    constructor(baseUrl: string, creds?: StoredCredentialsType | undefined, getJwt?: (() => string) | undefined);
    protected updateJWT(jwtToken: string): void;
    private request;
    protected get<P, T>(url: string, params?: P): Promise<T>;
    protected post<D, T>(url: string, data?: D): Promise<T>;
    private resolveResponse;
    protected sendApiRequest<T, U extends {
        return_code: number;
        message?: string;
    }>(endpoint: string, requestData: T | undefined, errorMessage: string): Promise<U>;
}
