"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const base_api_1 = require("../base.api");
const config_1 = require("../config");
class BreakGlassEntryApi extends base_api_1.BaseApi {
    constructor(creds) {
        super('', creds);
        this.creds = creds;
    }
    getAllAccounts(data) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.sendApiRequest(config_1.API_ENDPOINTS.BREAK_GLASS_ENTRIES.GET_ALL, data, 'Unable to get Break Glass Accounts.');
        });
    }
    copyAccountPassword(data) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.sendApiRequest(config_1.API_ENDPOINTS.BREAK_GLASS_ENTRIES.COPY_ENTRY, data, 'Unable to Copy Account Password.');
        });
    }
}
exports.default = BreakGlassEntryApi;
