import { Command } from 'commander';
import { StoredCredentialsType } from '../interfaces/cli.interface';
export declare abstract class BaseCLI {
    program: Command;
    creds: StoredCredentialsType;
    private commander;
    constructor(program: Command, creds: StoredCredentialsType, config?: any);
    make(command: string, description: string): Command;
    design(config: any, key: string): Command;
    protected authenticate(server: string, username: string, password: string, iterationCount: number): Promise<void>;
    protected fetchAllResults<A, T, O>(apiClass: new (creds: StoredCredentialsType) => A, options: O, apiFn: (api: A, options: O, limit: number, offset: number) => Promise<Array<T>>, offset?: number, results?: Array<T>): Promise<Array<T>>;
    protected copy(text: string, type?: string): Promise<void>;
}
