import { AssetCredential } from './asset-credentials.interface';
export interface AssetGroup {
    cloudFilter?: JSON;
    createdAt: Date;
    description?: string;
    entity: 'pam-asset-group';
    id: string;
    jumpServerIds?: Array<string>;
    members: Array<AssetGroupMember>;
    syncedWithZtnAt: Date;
    sharedWithZtnAt: Date;
    name: string;
    updatedAt: Date;
}
export interface AssetGroupMember {
    asset?: Asset;
    assetCredential?: AssetCredential;
    assetCredentialId: string;
    assetCredentialIds?: Array<string>;
    assetGroup?: AssetGroup;
    assetGroupId: string;
    assetId: string;
    createdAt: Date;
    credential?: any;
    entity: 'pam-asset-group-member';
    id: string;
    updatedAt: Date;
}
export interface AssetType {
    defaultPort: number;
    entity: 'pam-asset-type';
    fields: any;
    id: string;
    name: string;
}
export interface Asset {
    assetId?: string;
    assetType?: AssetType;
    cloudServerId?: string;
    createdAt: Date;
    credentials?: Array<AssetCredential>;
    deletedAt?: any;
    description?: string;
    domain: string;
    entity: 'pam-asset';
    hostname: string;
    id: string;
    jumpServerIds: Array<string>;
    members: Array<AssetGroupMember>;
    name: string;
    publiclyListed: number;
    status?: number;
    type: string;
    updatedAt: Date;
    userId: string;
    isDisallowedCommands?: boolean;
    PamAssetType?: AssetType;
    version?: string;
    oracle_version?: string;
    oracle_sid?: string;
    port: number;
    syncedWithZtnAt: Date;
    sharedWithZtnAt: Date;
}
