import { AssetCredential } from './asset-credentials.interface';
import { HttpCustomPaginatedResponse, HttpResponse } from './http.interface';
import { LdapAccount, LdapComputer, LdapServer } from './ldap-account.interface';
export interface HttpGetAllBreakGlassEntriesRequest {
    secureContainerId: string;
    limit: number;
    offset: number;
}
export interface OnboardingRulesDiscoveredAccount {
    accountStatus: string;
    computerName?: string;
    createdAt: Date;
    entity: string;
    firstname: string;
    fullName: string;
    id: string;
    isOnboarded: boolean;
    lastname: string;
    ldapComputer?: LdapComputer;
    ldapComputerId?: string;
    ldapResponse?: any;
    response?: any;
    osInfo?: any;
    ldapServerId?: string;
    onboardingRuleId: string;
    secureContainerEntry: BreakGlassEntry;
    updatedAt: Date;
    username: string;
}
export interface BreakGlassEntry {
    conflicts: Array<AssetCredential>;
    created_at: Date;
    entryType: 'LDAP' | 'other';
    frequency: number;
    frequencyTitle: string;
    id: string;
    lastRunAt: Date;
    ldapAccount: LdapAccount;
    ldapAccountId: string;
    ldapComputer: LdapComputer;
    ldapServer: LdapServer;
    name: string;
    nextRunAt: Date;
    pamCredential: AssetCredential;
    pamCredentialId: string;
    password: string;
    rejectedPamCredentialIds: Array<string>;
    secureContainerId: string;
    type: string;
    updated_at: Date;
    username: string;
    allowPublicView: boolean;
    PamCredentials: AssetCredential;
    linuxDiscoveredAccount: OnboardingRulesDiscoveredAccount;
}
export type HttpGetAllBreakGlassEntriesResponse = HttpCustomPaginatedResponse<Array<BreakGlassEntry>>;
export interface HttpCopyAccountPasswordRequest {
    action: 'copied-password';
    id: string;
}
export type HttpCopyAccountPasswordResponse = HttpResponse<BreakGlassEntry>;
