interface LdapPasswordPolicy {
    minLength: number;
    complexity: boolean;
}
export interface LdapServer {
    baseDN: string;
    baseUrl: string;
    createdAt: Date;
    dsIps: Array<string>;
    entity: string;
    id: string;
    interval: number;
    name: string;
    password: string;
    principal: string;
    status: boolean | number;
    sslPort: number;
    passwordPolicy: LdapPasswordPolicy;
    columnMapping: any;
    updatedAt: Date;
    winrm_port: number;
    winrm_protocol: string;
}
export interface LdapComputer {
    assetId: string;
    createdAt: Date;
    displayName: string;
    entity: any;
    id: string;
    isChecked: boolean;
    ldapResponse: string;
    ldapServerId: string;
    name: string;
    updatedAt: Date;
}
export interface LdapAccount {
    id: string;
    username: string;
    accountType: string;
    firstname: string;
    lastname: string;
    isOnboardable: boolean;
    accountTypeId: string;
    ldapServerId: string | null;
    ldapComputerId: string | null;
    status: number;
    accountStatus: string;
    onboardingRulesDiscoveredAccountId: string | null;
    ldapResponse: {
        cn: string;
        dn: string;
        name: string;
        memberOf: string;
        objectCategory: string;
        sAMAccountName: string;
        distinguishedName: string;
        userPrincipalName: string;
    };
    isScriptingAccount: boolean;
    userId: string | null;
    createdAt: string;
    updatedAt: string;
    ldapServer: LdapServer;
}
export {};
