import colors from 'colors';
interface HeadingConfig {
    display: string;
    type?: 'string' | 'datetime';
    width?: number;
    truncate?: boolean;
    truncateLength?: number;
    style?: {
        color?: colors.Color;
    };
}
interface TableConfig {
    headings: {
        [key: string]: HeadingConfig;
    };
}
export declare class CliTable {
    title: string;
    config: TableConfig;
    private readonly style;
    private static readonly DEFAULT_STYLE;
    private table;
    constructor(title: string, config: TableConfig, style?: {
        top: string;
        'top-mid': string;
        'top-left': string;
        'top-right': string;
        bottom: string;
        'bottom-mid': string;
        'bottom-left': string;
        'bottom-right': string;
        left: string;
        'left-mid': string;
        mid: string;
        'mid-mid': string;
        right: string;
        'right-mid': string;
        middle: string;
    });
    private getHeadings;
    private createTable;
    private wrapText;
    print<R>(data: Array<R>): void;
    private buildRow;
    private transform;
    private applyStyle;
    private addRowToTable;
    private displayTable;
}
export {};
