"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.printBox = exports.questionsTitle = exports.info = exports.blue = exports.error = exports.success = exports.warn = exports.log = void 0;
const chalk_1 = __importDefault(require("chalk"));
exports.log = console.log;
const warn = (text) => (0, exports.log)(chalk_1.default.yellow.bold(text));
exports.warn = warn;
const success = (text) => (0, exports.log)(chalk_1.default.green.bold(text));
exports.success = success;
const error = (text) => (0, exports.log)(chalk_1.default.red.bold(text));
exports.error = error;
const blue = (text) => (0, exports.log)(chalk_1.default.blue.bold(text));
exports.blue = blue;
exports.info = exports.blue;
const questionsTitle = (title) => {
    (0, exports.blue)(`\n${title}`);
    (0, exports.success)(`**************************************************\n`);
};
exports.questionsTitle = questionsTitle;
const printBox = (...lines) => {
    const maxLength = Math.max(...lines.map((line) => line.length));
    const boxTop = '┌' + '─'.repeat(maxLength + 2) + '┐';
    const boxBottom = '└' + '─'.repeat(maxLength + 2) + '┘';
    const boxMiddle = lines.map((line) => '│ ' + line.padEnd(maxLength) + ' │');
    (0, exports.blue)([boxTop, ...boxMiddle, boxBottom].join('\n'));
};
exports.printBox = printBox;
